> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-attendee-by-hash.md).

# Get Booking Attendee (By Hash)

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingAttendeeByHash`

Get the details of a specific booking attendee to which the user has access.

#### Request Body

| Name      | Type    | Description                      |
| --------- | ------- | -------------------------------- |
| venueId   | integer | The id of the venue              |
| bookingId | integer | The id of the booking            |
| hash      | string  | The hash of the booking attendee |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "10",
    "venueId": "1",
    "bookingId": "4407",
    "firstName": "First",
    "lastName": "Last",
    "phone": "123456789",
    "email": "some@email.com",
    "dietaryRequirement": "Specific requirement",
    "isFromCateringWebsite": true,
    "menuItems": [
        {
            "sessionId": "2447",
            "menuId": "225",
            "inventoryId": "14"
        },
        {
            "sessionId": "2447",
            "menuId": "226",
            "inventoryId": "18"
        },
        {
            "sessionId": "2448",
            "menuId": "227",
            "inventoryId": "20"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be the details of a specific booking attendee to which the user has access.

### Example Request

```
{
	"venueId" : 1,
	"bookingId" : 4407,
	"hash": "a58cac7da5865295bec0a0136c618874"
}
```

### Booking Attendee

| Property              | Type    | Required | Description                                                                                                                        |
| --------------------- | ------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| id                    | integer | optional | The unique id of the booking attendee.                                                                                             |
| venueId               | integer | required | The id of the venue to which the booking attendee belongs                                                                          |
| bookingId             | integer | required | The id of the booking.                                                                                                             |
| firstName             | string  | required | The first name of the booking attendee.                                                                                            |
| lastName              | string  | required | The last name of the booking attendee.                                                                                             |
| phone                 | string  | required | The phone number of the booking attendee.                                                                                          |
| email                 | string  | required | The email address of the booking attendee.                                                                                         |
| isFromCateringWebsite | boolean | optional | Whether or not booking attedee recorded from catering website                                                                      |
| dietaryRequirement    | string  | optional | The dietary requirements of the booking attendee.                                                                                  |
| menuItems             | array   | optional | The list of menu items that is included in the booking attendee menu. See [Menu Item](#menu-item) section for details of each item |

### Menu Item

A menu item is an object with the following details.

| Property    | Type    | Required | Description                                                  |
| ----------- | ------- | -------- | ------------------------------------------------------------ |
| sessionId   | integer | required | The id of the session to which the booking menu belongs      |
| menuId      | integer | required | The id of the attendee to which the booking attendee belongs |
| inventoryId | integer | required | The id of the attendee to which the booking attendee belongs |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-attendee-by-hash.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
